org.apache.http.impl.cookie

## Class NetscapeDraftSpecProvider

- java.lang.Object
- - org.apache.http.impl.cookie.NetscapeDraftSpecProvider

- All Implemented Interfaces:
    CookieSpecProvider

      @Obsolete
      @Contract(threading=IMMUTABLE)
      public class NetscapeDraftSpecProvider
      extends Object
      implements CookieSpecProvider

  `CookieSpecProvider` implementation that provides an instance of `NetscapeDraftSpec`. The instance returned by this factory can be shared by multiple threads.

  Rendered obsolete by `RFC6265CookieSpecProvider`

  Since:
    4.4
  See Also:
    `RFC6265CookieSpecProvider`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetscapeDraftSpecProvider()`
    `NetscapeDraftSpecProvider(String[] datepatterns)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CookieSpec` | `create(org.apache.http.protocol.HttpContext context)` Creates an instance of `CookieSpec`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetscapeDraftSpecProvider

          public NetscapeDraftSpecProvider(String[] datepatterns)

    - #### NetscapeDraftSpecProvider

          public NetscapeDraftSpecProvider()

  - ### Method Detail

    - #### create

          public CookieSpec create(org.apache.http.protocol.HttpContext context)

      Description copied from interface: `CookieSpecProvider`
      Creates an instance of `CookieSpec`.
      Specified by:
        `create` in interface `CookieSpecProvider`
      Returns:
        auth scheme.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.